//+kfi0 +kff3 +ki0 +kf1 +kc
//+am3 +r9 +a0.002 +ac0.99
//+am3 +r3 +a0.01 +j

#version unofficial patch 3.71;
#patch 0.99;

#declare Use_Radiosity		= 1;
#declare L3Quality		= 3;	// Quality level, 0=BBox, 1=no refr, 2=normal, 3=studlogo, 4=stud2logo
#declare L3SW			= 0.5;	// Width of seam between two bricks
#declare L3Studs		= 1;	// 1=on 0=off
#declare L3Bumps		= 1;	// 1=on 0=off
#declare L3Ambient		= 0.1;
#declare L3Diffuse		= 0.9;
#declare L3Ior			= 1.25;
#declare L3NormalBumps		= normal { bumps 0.01 scale 20 }
#declare L3NormalSlope		= normal { bumps 0.3 scale 0.5 }
#declare QUAL			= L3Quality;	// Quality level, 0=BBox, 1=no refr, 2=normal, 3=studlogo
#declare SW			= L3SW;		// Width of seam between two bricks
#declare STUDS			= L3Studs;	// 1=on 0=off
#declare BUMPS			= L3Bumps;	// 1=on 0=off
#declare BUMPNORMAL		= L3NormalBumps;
#declare AMB			= L3Ambient;
#declare DIF			= L3Diffuse;
#declare L3Phong		= 0.5;
#declare L3PhongSize		= 40;
#declare L3Reflection		= 0.08;	// was 0.08

global_settings
{
		assumed_gamma	1
}

#include "l3p_materials_noshadow_1.4_uber.inc"
#include "stdinc.inc"
#include "CIE.inc"			// http://www.ignorancia.org/en/index.php?page=Lightsys
#include "lightsys.inc"			// http://www.ignorancia.org/en/index.php?page=Lightsys
#include "lightsys_constants.inc"	// http://www.ignorancia.org/en/index.php?page=Lightsys

#declare light_lumens		= 2;					// float
#declare light_temp		= Daylight(6100);			// float
#declare light_color		= Light_Color(light_temp,light_lumens);

background {color srgb 0.9}

#if (Use_Radiosity = 1)
	global_settings
	{
		assumed_gamma	1
		adc_bailout		0.005
		max_trace_level	8
		ambient_light	0
		radiosity
		{
			pretrace_start	0.08
			pretrace_end	0.01 // Try 0.005 if you see random black spots.
			count			50
			error_bound		0.1
			recursion_limit	1
			normal			on
			brightness		0.8
			always_sample	yes
			gray_threshold	0.8
			media			on
		}
	}
#else
	global_settings
	{
		assumed_gamma	1
		max_trace_level 8
		ambient_light	1
	}
#end

// Lights:
#declare light_source_location	= vrotate(<0,0,-320000>, <-60,-120,+00>);

light_source
{
	light_source_location
	srgb light_color
	parallel
}

#default
{
	texture
	{
		finish { ambient L3Ambient diffuse L3Diffuse }
	}
}


// Floor:
object
{
	plane { y, 0 hollow }
	pigment { color srgb 0.9 }
}
